> For a complete page index, fetch https://developer.close.com/llms.txt

# List contacts

GET https://api.close.com/api/v1/contact/

Reference: https://developer.close.com/api/resources/contacts/list

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `_limit` (integer, optional, default: 100) — Number of results to return.
- `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination.
- `_fields` (string, optional) — Comma-separated list of fields to include in the response.
- `lead_id` (string, optional)

## Response

### 200

Successful response

- `data` (list of object, required)
  - `created_by` (string, required, nullable)
  - `date_created` (datetime, required)
  - `date_updated` (datetime, required)
  - `display_name` (string, required)
  - `id` (string, required)
  - `name` (string, required, nullable)
  - `organization_id` (string, required)
  - `title` (string, required, nullable)
  - `updated_by` (string, required, nullable)
  - `emails` (list of object, optional)
    - `email` (string, required)
    - `is_unsubscribed` (boolean, required)
    - `type` (string, required)
  - `integration_links` (list of object, optional)
    - `name` (string, required)
    - `url` (string, required)
  - `lead_id` (string, optional, nullable)
  - `lead_suggestions_operation_id` (string, optional, nullable)
  - `phones` (list of object, optional)
    - `phone` (string, required)
    - `type` (string, required)
    - `country` (string, optional, nullable)
    - `outbound_sms_blocked` (boolean, optional)
    - `phone_formatted` (string, optional)
    - `tz_ids` (list of string, optional)
  - `recent_calls` (list of object, optional)
    - `dialer_id` (string, required, nullable)
    - `duration` (integer, required)
    - `finish_timestamp` (datetime, required)
    - `id` (string, required)
    - `status` (enum, required) — Current status of the call.
      - Allowed values: `created`, `in-progress`, `completed`, `cancel`, `no-answer`, `busy`, `failed`, `timeout`
  - `subscriptions` (list of object, optional)
    - `contact_email` (string, required, nullable)
    - `date_created` (datetime, required)
    - `initial_email_id` (string, required, nullable)
    - `sequence_id` (string, required)
    - `sequence_name` (string, required)
    - `sequence_status` (enum, required)
      - Allowed values: `active`, `paused`, `draft`
    - `start_date` (datetime, required, nullable)
    - `subscription_id` (string, required)
    - `subscription_status` (enum, required)
      - Allowed values: `active`, `paused`, `finished`, `goal`, `error`
    - `subscription_status_reason` (enum, required, nullable) — Reason for each higher level status on a Workflow run.
      - Allowed values: `manual`, `pending-call-timed-out`, `bulk-action`, `rate-limited`, `sequence-deleted`, `workflow-paused`, `filter-not-matched`, `insufficient-ai-credit-balance`, `reply-received`, `call-answered`, `meeting-booked`, `lead-status-changed`, `outcome-met`, `account-invalid`, `account-failures`, `sending-throttled-too-long`, `membership-inactive`, `send-as-error`, `email-bounced`, `call-failed`, `sms-failed`, `no-user-phone`, `billing-error`, `assignment-field-invalid`, `lead-status-field-invalid`, `assignees-missing`, `run-as-disabled`, `lead-not-visible`, `internal-error`, `field-mapping-error`, `filter-config-invalid`, `email-ai-generation-failed`
  - `timezone` (string, optional, nullable)
  - `timezone_source` (string, optional, nullable)
  - `urls` (list of object, optional)
    - `type` (string, required)
    - `url` (string, required)
- `has_more` (boolean, required)

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Response**

```json
{
  "data": [
    {
      "created_by": null,
      "date_created": "2013-02-01T00:54:51.300000+00:00",
      "date_updated": "2013-02-06T20:53:09.334000+00:00",
      "display_name": "Tobias Fünke",
      "id": "cont_q4xYmlGhA3060dEl0NDJuHRxPMuVjqLn30AFSzh1fRk",
      "name": "Tobias Fünke",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "title": "Blue Man Group (Understudy)",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "emails": [
        {
          "email": "tobiasfunke@close.com",
          "is_unsubscribed": false,
          "type": "office"
        }
      ],
      "phones": []
    },
    {
      "created_by": null,
      "date_created": "2013-02-01T00:54:51.331000+00:00",
      "date_updated": "2013-02-06T20:53:01.954000+00:00",
      "display_name": "Bruce Wayne",
      "id": "cont_o0kP3Nqyq0wxr5DLWIEm8mVr6ZpI0AhonKLDG0V5Qjh",
      "name": "Bruce Wayne",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "title": "The Dark Knight",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "emails": [
        {
          "email": "thedarkknight@close.com",
          "is_unsubscribed": true,
          "type": "office"
        }
      ],
      "phones": [
        {
          "phone": "+16503334444",
          "type": "office",
          "country": "US",
          "phone_formatted": "+1 650-333-4444"
        }
      ],
      "custom.cf_j0P7kHmgFTZZnYBFtyPSZ3uQw4dpW8xKcW7Krps8atj": "CEO"
    },
    {
      "created_by": null,
      "date_created": "2013-02-01T00:54:51.298000+00:00",
      "date_updated": "2013-02-06T20:48:55.240000+00:00",
      "display_name": "Gob Bluth",
      "id": "cont_E7dYM0ecRoFQosxiPFz8IxazhN4k11uW8Sh1UsXjNjo",
      "name": "Gob Bluth",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "title": "Magician",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "emails": [
        {
          "email": "bluth@close.com",
          "is_unsubscribed": false,
          "type": "office"
        }
      ],
      "phones": []
    },
    {
      "created_by": null,
      "date_created": "2013-02-01T00:54:51.203000+00:00",
      "date_updated": "2013-02-01T00:59:33.689000+00:00",
      "display_name": "Close Support",
      "id": "cont_uw6ONU4iBcQg4TyqOKAwl0F1amULG9ZZsY57kHHdJNE",
      "name": "Close Support",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "title": null,
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "emails": [
        {
          "email": "support@close.com",
          "is_unsubscribed": false,
          "type": "office"
        }
      ],
      "phones": [
        {
          "phone": "+18552567346",
          "type": "office",
          "country": "US",
          "phone_formatted": "+1 855-256-7346",
          "is_unsubscribed": false
        }
      ]
    },
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2013-02-08T05:02:39.552000+00:00",
      "date_updated": "2013-02-08T05:02:39.552000+00:00",
      "display_name": "phil",
      "id": "cont_eXZwc2SVL4G3xSR85jnfPny2ykvoAQndSyi1Doa2YLO",
      "name": "phil",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "title": "",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "emails": [
        {
          "email": "phil@close.com",
          "is_unsubscribed": false,
          "type": "office"
        }
      ],
      "phones": []
    },
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2013-02-20T05:30:24.844000+00:00",
      "date_updated": "2013-02-20T05:44:14.700000+00:00",
      "display_name": "Gob",
      "id": "cont_qpjDKxbN3WWsuhaJjg2Qr9pkqHqe1yviZ5BS0dEyz05",
      "name": "Gob",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "title": "sr. vice president",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "emails": [
        {
          "email": "gob@example.com",
          "is_unsubscribed": false,
          "type": "office"
        }
      ],
      "phones": [
        {
          "phone": "+18004445555",
          "type": "office",
          "country": "US",
          "phone_formatted": "+1 800-444-5555"
        }
      ]
    },
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2013-02-20T05:44:31.929000+00:00",
      "date_updated": "2013-02-20T05:44:31.929000+00:00",
      "display_name": "Gob",
      "id": "cont_kfaRMPzwQ9yAOn96gVGUxKRKqsYv6QJStoLhlDEpquY",
      "name": "Gob",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "title": "sr. vice president",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "emails": [
        {
          "email": "gob@example.com",
          "is_unsubscribed": false,
          "type": "office"
        }
      ],
      "phones": [
        {
          "phone": "+18004445555",
          "type": "office",
          "country": "US",
          "phone_formatted": "+1 800-444-5555"
        }
      ]
    },
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2013-02-20T05:44:35.625000+00:00",
      "date_updated": "2013-02-20T05:44:35.625000+00:00",
      "display_name": "Gob",
      "id": "cont_3lUrUYmceYjzeqrIqF5jpSppZemyxvgquE8Oq1kM6p0",
      "name": "Gob",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "title": "sr. vice president",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "emails": [
        {
          "email": "gob@example.com",
          "is_unsubscribed": false,
          "type": "office"
        }
      ],
      "phones": [
        {
          "phone": "+18004445555",
          "type": "office",
          "country": "US",
          "phone_formatted": "+1 800-444-5555"
        }
      ]
    }
  ],
  "has_more": false
}
```

**SDK Code**

```python contacts_list_example
import requests

url = "https://api.close.com/api/v1/contact/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript contacts_list_example
const url = 'https://api.close.com/api/v1/contact/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go contacts_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/contact/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby contacts_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/contact/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java contacts_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/contact/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php contacts_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/contact/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp contacts_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/contact/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```